<div class="row actions">
    <div class="col-md-12">
        <div class="pull-left">
            <button class="btn btn-success"
                    ng-if="user.hasPermission($state.name.split('.')[0],'create')"
                    ng-click="openCreateConsumerModal()">
                <i class="mdi mdi-plus"></i>
                Buat consumer
            </button>
        </div>
        <list-search
                class="pull-right"
                data-filters="filters"
                data-options="itemsPerPageOptions"
                data-items="itemsPerPage"
        ></list-search>
    </div>
</div>


<konga-loader ng-if="loading && !items.length"></konga-loader>
<div class="row" ng-if="!loading || items.length">
    <div class="col-md-12">
        <div class="table-responsive">
            <table class="table table-hover table-striped">
                <tr>
                    <th width="{{item.width}}" class="text-nowrap" ng-if="!item.hide"
                        data-ng-repeat="item in titleItems | filter:titleFilter"
                    >
                        <a
                                class="clickable"
                                data-ng-show="item.column"
                                data-ng-click="changeSort(item)"
                                data-ng-bind-html="item.title.toUpperCase()"
                        ></a>
                        <span
                                data-ng-show="!item.column"
                                data-ng-bind-html="item.title.toUpperCase()"
                        ></span>

                        <i class="mdi"
                           data-ng-show="sort.column == item.column"
                           data-ng-class="{'mdi-chevron-down': !sort.direction, 'mdi-chevron-up': sort.direction}"
                        >
                        </i>
                    </th>
                </tr>
                <tr dir-paginate="consumer in items.data | orderBy:sort.column:sort.direction | filter : filters.searchWord | itemsPerPage: itemsPerPage">

                    <td>
                        <raw-view data-item="consumer"></raw-view>
                    </td>
                    <td><a data-ui-sref="consumers.edit({'id':consumer.id})"><strong>{{consumer.username || "-"}}</strong></a></td>
                    <td><a data-ui-sref="consumers.edit({'id':consumer.id})"><strong>{{consumer.custom_id || "-"}}</strong></a></td>
                    <td>
                        <span class="badge badge-tag badge-success badge-inverse" ng-repeat="tag in consumer.tags">
                            <i class="mdi mdi-tag"></i>&nbsp;
                            {{tag}}
                        </span>
                    </td>
                    <td>{{moment(consumer.created_at*1000).format("MMM DD YYYY @HH:mm")}}</td>
                    <td ng-if="user.hasPermission($state.name.split('.')[0],'delete')">
                        <button type="button"
                                ng-click="deleteItem($index,consumer)" class="btn btn-danger btn-link">
                            <i class="mdi mdi-delete"></i>
                            Delete
                        </button>
                    </td>
                </tr>

                <tr data-ng-if="items.length === 0 && !loading">
                    <td colspan="100%" class="text-center text-muted">
                        <em>No data found...</em>
                    </td>
                </tr>
                <tr data-ng-if="loading">
                    <td colspan="100%" class="text-center text-muted">
                        <em>Loading consumers...</em>
                    </td>
                </tr>
            </table>
        </div>

        <dir-pagination-controls class="pull-right"></dir-pagination-controls>
    </div>
</div>

